Binary atrifacts of the homework are in a Bintray repository.  
Now there is no deploy stage in .gitlab-ci.yml to avoid version conflict.  
The homework was done by the deadline but there was a problem with deployment  
(I was trying to put the password instead of API key in settings.xml).  